<?php

namespace ShopEngine\Core\Register;

use ShopEngine\Modules\Partial_Payment\Settings\Helper;

defined('ABSPATH') || exit;

class Module_List extends \ShopEngine\Base\List_Model {

	use \ShopEngine\Traits\Singleton;

	protected $list_type = 'modules';

	protected function raw_list() {
		return [
			'quick-view' => [
				'slug'       => 'quick-view',
				'title'      => esc_html__('Quick View', 'shopengine'),
				'package'    => 'free',
				'base_class' => '\ShopEngine\Modules\Quick_View\Quick_View',
				'settings'   => [ 
					// 'alert_one' => [
					// 	'field_settings' => [
					// 		'type'  => 'alert',
					// 		'label' => '<h2> Testing Label </h2>',
					// 		'description' => '<p>Hello world testing description</p>',
					// 		'alert_type' => 'success' //success, info, warning, error
					// 	]
					// ]
				],
			],
			'swatches'   => [
				'slug'       => 'swatches',
				'title'      => esc_html__('Swatches', 'shopengine'),
				'package'    => 'free',
				'base_class' => '\ShopEngine\Modules\Swatches\Swatches',
				'settings'   => [ ],
			],
			'wishlist'   => [
				'slug'       => 'wishlist',
				'title'      => esc_html__('Wishlist', 'shopengine'),
				'package'    => 'free',
				'base_class' => '\ShopEngine\Modules\Wishlist\Wishlist',
				'settings'   => [
					'show_on_archive_page' => [
						'value' => 'yes',
						'field_settings' => [
							'type'  => 'switch',
							'label' => esc_html__('Show In Archive Page', 'shopengine'),
						]
					],
					'show_on_single_page' => [
						'value' => 'yes',
						'field_settings' => [
							'type'  => 'switch',
							'label' => esc_html__('Show In Single Page', 'shopengine'),
						]
					],

					'show_icon_where_to' => [
						'value'   => 'before',
						'field_settings' => [
							'type'    => 'select',
							'label'   => esc_html__('Show Before/After Add to cart button', 'shopengine'),
							'options' => [
								'before' => esc_html__('Before', 'shopengine'),
								'after' => esc_html__('After', 'shopengine'),
							],
						]
					],
				],
			],
			'comparison' => [
				'slug'       => 'comparison',
				'title'      => esc_html__('Product Comparison', 'shopengine'),
				'package'    => 'free',
				'base_class' => '\ShopEngine\Modules\Comparison\Comparison',
				'settings'   => [
					'show_on_archive_page' => [
						'value' => 'yes',
						'field_settings' => [
							'type'  => 'switch',
							'label' => esc_html__('Show In Archive Page', 'shopengine'),
						]
					],
					'show_on_single_page' => [
						'value' => 'yes',
						'field_settings' => [
							'type'  => 'switch',
							'label' => esc_html__('Show In Single Page', 'shopengine'),
						]
					],
					'show_icon_where_to' => [
						'value'   => 'before',
						'field_settings' => [
							'type'    => 'select',
							'label'   => esc_html__('Show Before/After Add to cart button', 'shopengine'),
							'options' => [
								'before' => esc_html__('Before', 'shopengine'),
								'after' => esc_html__('After', 'shopengine'),
							],
						]
					],
				],
			]
		];
	}
}
