<div class="shopengine-recently-viewed-products">
    <div class="recent-viewed-product-list">
		<?php
		$args = [
			'post_type'      => 'product',
			'meta_key'       => 'shopengine_product_views_count',
			'posts_per_page' => isset($settings['products_per_page']) ? $settings['products_per_page'] : 6,
			'order'          => isset($settings['product_order']) ? $settings['product_order'] : 'DESC',
			'orderby'        => isset($settings['product_orderby']) ? $settings['product_orderby'] : 'date',
		];

		$view = [
			'image',
		];

		if(empty($args)) {
			return;
		}

		$query = new WP_Query($args);

		if($query->have_posts()) :
			while($query->have_posts()) :
				$query->the_post();

				$default_content = [
					'image',
					'category',
					'title',
					'rating',
					'price',
					'description',
				];

				$content = (!empty($view) ? $view : $default_content);
				asort($content, SORT_NUMERIC);
				?>
                <div class='shopengine-single-product-item'>
					<?php
					foreach($content as $key => $value) {
						$function = '_product_' . (is_numeric($value) ? $key : $value);
						\ShopEngine\Utils\Helper::$function($settings);
					}

					if(!empty($settings['counter_position']) && $settings['counter_position'] == 'footer') {
						\ShopEngine\Utils\Helper::_product_sale_end_date($settings, __('Ends in ', 'shopengine'));
					}
					?>

                </div>
			<?php
			endwhile;
		endif;

		wp_reset_postdata(); ?>
    </div>
</div>